Change current users password
PUT
/passwd
const url = 'https://example.com/api/v1/passwd';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"new":"example","old":"example","user":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/passwd \ --header 'Content-Type: application/json' \ --data '{ "new": "example", "old": "example", "user": "example" }'Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”X-Csrf-Token
string
CSRF Token
Request Body
Section titled “Request Body”Media typeapplication/json
object
new
required
The new password
string
old
required
The old password
string
user
Set password for a specific user (use inline authentication)
string
Examplegenerated
{ "new": "example", "old": "example", "user": "example"}Responses
Section titled “Responses”Password updated
Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}Authentication failed
Incorrect old password
An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}The database query failed
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}